package com.nisum.model;
 
import java.math.BigDecimal;

import java.util.Date;
 
public class ShoppingCart {

    private int cartId;

    private int userId;

    private BigDecimal cartTotal;

    private Date createdDate;

    private Date lastUpdatedDate;
 
    public ShoppingCart() {}
 
    public ShoppingCart(int cartId, int userId, BigDecimal cartTotal, Date createdDate, Date lastUpdatedDate) {

        this.cartId = cartId;

        this.userId = userId;

        this.cartTotal = cartTotal;

        this.createdDate = createdDate;

        this.lastUpdatedDate = lastUpdatedDate;

    }
 
    public int getCartId() { return cartId; }

    public void setCartId(int cartId) { this.cartId = cartId; }
 
    public int getUserId() { return userId; }

    public void setUserId(int userId) { this.userId = userId; }
 
    public BigDecimal getCartTotal() { return cartTotal; }

    public void setCartTotal(BigDecimal cartTotal) { this.cartTotal = cartTotal; }
 
    public Date getCreatedDate() { return createdDate; }

    public void setCreatedDate(Date createdDate) { this.createdDate = createdDate; }
 
    public Date getLastUpdatedDate() { return lastUpdatedDate; }

    public void setLastUpdatedDate(Date lastUpdatedDate) { this.lastUpdatedDate = lastUpdatedDate; }

}

 